Bug 1656388 - segfault at 8 ip 00007ff63ed6bed1 sp 00007ffe65674060 error 4 in libpython3.6m.so.1.0[7ff63ec65000+2c3000]
Summary: segfault at 8 ip 00007ff63ed6bed1 sp 00007ffe65674060 error 4 in libpython3.6...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 11:58 UTC by Sudhir Menon
Modified: 2019-02-01 11:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-13 10:44:27 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
dnf logs (94.89 KB, application/x-gzip)
2018-12-05 12:04 UTC, Sudhir Menon
no flags Details

Description Sudhir Menon 2018-12-05 11:58:03 UTC
Description of problem: segfault at 8 ip 00007ff63ed6bed1 sp 00007ffe65674060 error 4 in libpython3.6m.so.1.0[7ff63ec65000+2c3000]

Version-Release number of selected component (if applicable):
[root@master ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux release 8.0 Beta (Ootpa)
[root@master ~]# rpm -q dnf
dnf-4.0.9-1.el8.noarch

How reproducible: 

Steps to Reproduce:
1. Happened to check dmesg and found the above segfault.

Actual results:
1. dmesg lists the below message.
[Wed Dec  5 15:13:37 2018] dnf[16296]: segfault at 8 ip 00007ff63ed6bed1 sp 00007ffe65674060 error 4 in libpython3.6m.so.1.0[7ff63ec65000+2c3000]

2./var/log/dnf.log displays the below message.

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1100, in run
    return self.command.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/commands/module.py", line 270, in run
    self.subcmd.run_on_module()
  File "/usr/lib/python3.6/site-packages/dnf/cli/commands/module.py", line 171, in run_on_module
    raise e
  File "/usr/lib/python3.6/site-packages/dnf/cli/commands/module.py", line 167, in run_on_module
    self.module_base.install(self.opts.module_spec, self.base.conf.strict)
  File "/usr/lib/python3.6/site-packages/dnf/module/module_base.py", line 123, in install
    module_debsolv_errors=solver_errors)
dnf.exceptions.MarkingErrors: Problems in request:
missing groups or modules: python-nss
2018-12-05T07:20:50Z CRITICAL Error: Problems in request:

Expected results:
Segfault issues should be fixed.

Additional info: Attaching the logs for reference

Comment 1 Sudhir Menon 2018-12-05 12:04:47 UTC
Created attachment 1511653 [details]
dnf logs

Comment 3 Daniel Mach 2018-12-11 08:11:27 UTC
Could you provide additional information such as backtrace or coredump?

Comment 4 Jaroslav Mracek 2018-12-13 10:03:46 UTC
In dnf.log there is anything that could be used to solve reported issue. The traceback from bug description could have no relation to segfault. The traceback is even expected in log to provide additional information for debugging. The error was triggered due to:  Problems in request: missing groups or modules: python-nss. 

Please can you reproduce the issue? Did it appeared only once?

Comment 5 Sudhir Menon 2018-12-13 10:19:04 UTC
Daniel/Jaroslav,

I am unable to reproduce the same or get some concrete steps to reproduce this as of now.

Comment 6 Jaroslav Mracek 2018-12-13 10:44:27 UTC
Please can you reopen the bug report when the issue appears again and provide a coredump for the fail. Thanks a lot.

Without additional information we cannot do anything more.

Comment 7 Sudhir Menon 2018-12-13 10:52:57 UTC
Sure, I will reopen the bug once this issue reoccurs and provide coredump for the same.
Thank You


Note You need to log in before you can comment on or make changes to this bug.